//
//  LayerDelegateView.m
//  LayerDelegate
//
//  Created by Bill Dudney on 7/7/08.
//  Copyright 2008 Gala Factory. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import "LayerDelegateView.h"
#import <QuartzCore/QuartzCore.h>

@implementation LayerDelegateView

//START: code.layerdelegate.actionForLayer
- (id <CAAction>)actionForLayer:(CALayer *)layer forKey:(NSString *)key {
    CAAnimation *animation = (CAAnimation *)[super actionForLayer:layer 
                                                           forKey:key];
    if([animation respondsToSelector:@selector(setDuration:)]) {
        animation.duration = 2.0f;
    }
    return animation;
}
//END: code.layerdelegate.actionForLayer

@end
